## RBRating

RBRating — widget for displaying song ratings

## Synopsis

                        RBRating;
                        RBRatingClass;
    RBRating *          rb_rating_new                       (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----RBRating

## Implemented Interfaces

RBRating implements AtkImplementorIface and GtkBuildable.

## Properties

      "rating"                   gdouble               : Read / Write

## Signals

      "adjust-rating"                                  : Run Last / Action
      "rated"                                          : Run Last
      "set-rating"                                     : Run Last / Action

## Description

This widget displays a rating (0-5 stars) and allows the user to alter the rating by clicking.

## Details

### RBRating

    typedef struct _RBRating RBRating;

### RBRatingClass

    typedef struct {
    	GtkWidgetClass parent;

    	void (*rated) (RBRating *rating, double score);
    	gboolean (*set_rating) (RBRating *rating, double score);
    	gboolean (*adjust_rating) (RBRating *rating, double adjust);
    } RBRatingClass;

### rb_rating_new ()

    RBRating *          rb_rating_new                       (void);

Returns : | a new RBRating widget.

## Property Details

### The `"rating"` property

      "rating"                   gdouble               : Read / Write

The rating displayed in the widget, as a floating point value between 0.0 and 5.0.

Allowed values: [0,5]

Default value: 2.5

## Signal Details

### The `"adjust-rating"` signal

    void                user_function                      (RBRating *rbrating,
                                                            gdouble   arg1,
                                                            gpointer  user_data)      : Run Last / Action

`rbrating` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"rated"` signal

    void                user_function                      (RBRating *rating,
                                                            gdouble   score,
                                                            gpointer  user_data)      : Run Last

Emitted when the user changes the rating.

`rating` : | the RBRating
`score` : | the new rating
`user_data` : | user data set when the signal handler was connected.

### The `"set-rating"` signal

    void                user_function                      (RBRating *rbrating,
                                                            gdouble   arg1,
                                                            gpointer  user_data)      : Run Last / Action

`rbrating` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.